{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
---
kind: "ConfigMap"
apiVersion: "v1"
metadata:
  name:  {{ include "common.names.fullname" . | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.commonLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
    {{- end }}
  {{- if .Values.commonAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
  {{- end }}
data:
{{- range $path, $bytes := .Files.Glob "configs/*" -}}
{{- $subdir := dir $path }}
{{- $currentFilename := ($path | replace (printf "%s/" $subdir) "" ) }}
{{ $currentFilename | indent 2 }}: | 
  {{ tpl ($.Files.Get $path) $ | nindent 4 }}
{{ end }}
...
